Attaches the PDF and, for an invoice, the e-invoice. Supplying scheduledSendAt queues the document instead of sending it now.
apiKeyAuth In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuid^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$emaillength <= 255length <= 20000truefalseapplication/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/v1/billing/documents/{id}/send" \ -H "Content-Type: application/json" \ -d '{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }'API key authentication. Create an API key in your user profile and include it in the x-api-key header.
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"kind": "offer",
"status": "draft",
"number": "string",
"title": "string",
"organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
"organizationName": "string",
"contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d",
"contactName": "string",
"recipientName": "string",
"recipientContactName": "string",
"recipientAddressLine1": "string",
"recipientAddressLine2": "string",
"recipientPostalCode": "string",
"recipientCity": "string",
"recipientCountry": "string",
"recipientEmail": "string",
"recipientVatId": "string",
"buyerReference": "string",
"issueDate": "string",
"deliveryDate": "string",
"deliveryPeriodStart": "string",
"deliveryPeriodEnd": "string",
"dueDate": "string",
"validUntil": "string",
"currency": "eur",
"subtotalCents": -9007199254740991,
"discountCents": -9007199254740991,
"taxCents": -9007199254740991,
"totalCents": -9007199254740991,
"paidCents": -9007199254740991,
"openCents": -9007199254740991,
"taxBreakdown": [
{
"taxRatePercent": 0,
"netCents": -9007199254740991,
"taxCents": -9007199254740991
}
],
"reverseCharge": true,
"smallBusiness": true,
"introText": "string",
"outroText": "string",
"paymentTerms": "string",
"internalNotes": "string",
"convertedFromId": "0900a2cb-9a73-4f60-b8e9-89583b347530",
"convertedToId": "4cacfee2-ef97-482b-9c07-f46725cba180",
"recurringSeriesId": "69e829a4-dd36-4263-9f08-3faf64d3b229",
"eInvoiceFormat": "none",
"scheduledSendAt": "string",
"sentAt": "string",
"acceptedAt": "string",
"declinedAt": "string",
"paidAt": "string",
"cancelledAt": "string",
"isOverdue": true,
"lines": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"position": -9007199254740991,
"serviceId": "8f8bb40f-b96b-40fe-9064-5031fbe483f9",
"title": "string",
"description": "string",
"quantity": 0,
"unit": "string",
"unitPriceCents": -9007199254740991,
"discountPercent": 0,
"taxRatePercent": 0,
"netCents": -9007199254740991,
"taxCents": -9007199254740991,
"grossCents": -9007199254740991,
"revenueAccount": "string"
}
],
"payments": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"amountCents": -9007199254740991,
"paidAt": "string",
"method": "string",
"reference": "string"
}
],
"createdAt": "string",
"updatedAt": "string"
}"string""string""string""string"